<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{81E9DAAC-18C3-4736-8122-D9E383CBAE31}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>Protra.Lib</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>Protra.Lib</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>3.5</OldToolsVersion>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <TargetFrameworkProfile />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>Protra.Lib.xml</DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>..\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;MUJINZOU</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\temp\</OutputPath>
    <DefineConstants>TRACE;DEBUG;MUJINZOU</DefineConstants>
    <BaseAddress>285212672</BaseAddress>
    <DocumentationFile>Protra.Lib.xml</DocumentationFile>
    <FileAlignment>4096</FileAlignment>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <OutputPath>..\temp\</OutputPath>
    <DefineConstants>TRACE;MUJINZOU</DefineConstants>
    <BaseAddress>285212672</BaseAddress>
    <Optimize>true</Optimize>
    <FileAlignment>4096</FileAlignment>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="SevenZipSharp, Version=0.64.3890.29348, Culture=neutral, PublicKeyToken=20de82c62b055c88, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\bin\Release\SevenZipSharp.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CenteredDialogHelper.cs" />
    <Compile Include="Config\BrandListConfig.cs" />
    <Compile Include="Config\ConfigBase.cs" />
    <Compile Include="Config\ProtraConfig.cs" />
    <Compile Include="Config\PtSimConfig.cs" />
    <Compile Include="Config\UpdateConfig.cs" />
    <Compile Include="Config\FileChangeWatcher.cs" />
    <Compile Include="Data\GlobalData.cs" />
    <Compile Include="Data\LogData.cs" />
    <Compile Include="Data\PriceData.cs" />
    <Compile Include="Data\BrandData.cs" />
    <Compile Include="Dialogs\DataConvertDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\DataConvertDialog.Designer.cs">
      <DependentUpon>DataConvertDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\EditBrandListContentDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\EditBrandListContentDialog.Designer.cs">
      <DependentUpon>EditBrandListContentDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\EditBrandListDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\EditBrandListDialog.Designer.cs">
      <DependentUpon>EditBrandListDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\InputDateDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ObsoleteBrandDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ObsoleteBrandDialog.Designer.cs">
      <DependentUpon>ObsoleteBrandDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\OverwriteDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\OverwriteDialog.Designer.cs">
      <DependentUpon>OverwriteDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="FloatComparers.cs" />
    <Compile Include="Global.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArithmeticExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArithmeticTermNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArrayNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\AssignmentNode.cs" />
    <Compile Include="Lang\BreakStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Buffer.cs" />
    <Compile Include="Lang\Builtins\BasicBuiltins.cs" />
    <Compile Include="Lang\Builtins\CoreBuiltins.cs" />
    <Compile Include="Lang\Builtins\DrawBuiltins.cs" />
    <Compile Include="Lang\Builtins\MathBuiltins.cs" />
    <Compile Include="Lang\Builtins\SimulateBuiltins.cs" />
    <Compile Include="Lang\ComparisonNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ContinueStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\EmptyStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\EquivalenceComparisonNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ExecutableNode.cs" />
    <Compile Include="Lang\ExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ExpressionStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionDefinitionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\IfStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Interpreter.cs" />
    <Compile Include="Lang\LiteralNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\LogicalExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\LogicalTermNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ParseException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\PrefixedExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\PrimaryNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ProgramNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Resource.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ReturnStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\RuntimeException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Scanner.cs" />
    <Compile Include="Lang\StatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\SuffixedExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Token.cs" />
    <Compile Include="Lang\Value.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\VariableNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\WhileStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Update\KdbComUpdator.cs" />
    <Compile Include="Update\MujinzouUpdator.cs" />
    <Compile Include="Update\PriceDataUpdator.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Update\KabukaJohoUpdator.cs" />
    <Compile Include="Update\YahooFinanceUpdator.cs" />
    <Compile Include="Calendar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utils.cs" />
    <Compile Include="Win32API.cs" />
    <EmbeddedResource Include="Dialogs\DataConvertDialog.resx">
      <DependentUpon>DataConvertDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\EditBrandListContentDialog.resx">
      <DependentUpon>EditBrandListContentDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\EditBrandListDialog.resx">
      <DependentUpon>EditBrandListDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\InputDateDialog.resx">
      <DependentUpon>InputDateDialog.cs</DependentUpon>
    </EmbeddedResource>
    <Content Include="Lang\BNF.txt" />
    <EmbeddedResource Include="Dialogs\ObsoleteBrandDialog.resx">
      <DependentUpon>ObsoleteBrandDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\OverwriteDialog.resx">
      <DependentUpon>OverwriteDialog.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.0">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4 %28x86 および x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows インストーラー 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>